
<div id="buyPackageForm">
    <h1><?= __('contact') ?> </h1>

    <div id="p-contact-to" class="clearfix">

        <div class="form">
            <form id="packageSendForm" method="post" action="/govazd-contact-send-mail">
                <input type="hidden" name="package" value="<?= $this->package ?>">
                <input type="hidden" name="days" value="<?= $this->days ?>">
                <input type="hidden" name="price" value="<?= $this->price ?>">

                <div class="sentSuccess">Message successfully sent</div>

                <div class="inn">
                    <input class="w520" type="text" name="name" id="name" value="" placeholder="<?= __('name') ?>"/>
                </div>

                <div class="inn">
                    <input class="w520" type="text" name="email" id="email" value="" placeholder="<?= __('email') ?>" />
                </div>

                <div class="inn">
                    <textarea class="w520" name="message" placeholder="<?= __('message') ?>"></textarea>
                </div>

                <div class="inn __captcha">
                    <div class="recaptcha-box">
                        <span><img class="recaptcha-image" src="<?= $this->getLink('captcha', array(), true) ?>&no_tidy" width="90px" height="30px" alt="" /></span>
                        <a href="" class="recaptcha-refresh"></a>
                    </div>
                    <input type="text" class="captcha-input" name="captcha" id="captcha-write-me" value="" placeholder="Captcha" />
                </div>

                <div class="inn">
                    <button type="submit" class="send-buy-info"><?= __('send_message') ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
    window.addEvent('domready', function() {
        AdvertiseSend.init();
    });

    AdvertiseSend = {
        inProgress: false,
        init: function(){
            this.sendMessage();
            this.validationData();
        },

        sendMessage: function(){
            var self = this,
                sendBtn = $$('.send-buy-info'),
                form = $('packageSendForm'),
                successMsg = $$('.sentSuccess');

            sendBtn.addEvent('click', function(e){
                e.preventDefault();
                form.addClass('load');

                if ( self.inProcess ) return false;

                self.inProcess = true;

                new Request({
                    url: '/govazd-contact-send-mail',
                    method: 'post',
                    data: form.toQueryString().parseQueryString(),
                    onSuccess: function ( resp ) {
                        self.inProcess = false;
                        resp = JSON.decode( resp );
                        form.removeClass('load');

                        if( resp.status === 'error' ){
                            self.validationData( resp.msgs )
                        } else {
                            successMsg.addClass('in');
                            setTimeout(function(){
                                successMsg.removeClass('in');
                            }, 3000);
                        }
                    }
                }).send();


                return false;
            });
        },

        validationData: function( msgs ){
            $$('.__error').removeClass('__error');

            Object.each( msgs, function(value, key){
                $$('input[name="' + key + '"]').addClass('__error');
            });
        }
    }
</script>

<style>
    #page { width: 100% !important; box-sizing: border-box; }
    #page * { box-sizing: border-box; }
    #buyPackageForm h1 { font-weight: normal; margin-bottom: 10px; }
    #buyPackageForm form { width: 100%; }
    #buyPackageForm form .inn { width: 100%; padding: 7px 0; }
    #buyPackageForm form .inn input { height: 35px; }
    #buyPackageForm form .inn textarea { min-height: 70px; }
    #buyPackageForm form .inn input,
    #buyPackageForm form .inn textarea { width: 100%; padding: 5px 7px; border-color: #cecece;
        font-family: Arial, sans-serif; border-radius: 3px; }
    #buyPackageForm .__captcha:after { display: table; content: ''; clear: both; }
    #buyPackageForm .recaptcha-box { width: 90px; float: left; margin-right: 10px; padding-top: 2px; }
    #buyPackageForm .captcha-input { width: calc(100% - 100px) !important; float: right; }
    #buyPackageForm .send-buy-info { width: 150px; height: 35px; text-align: center; line-height: 35px; color: #fff;
        background: #0c275c; border-radius: 3px; cursor: pointer; float: right; margin-bottom: 10px; font-size: 1em; }
    .__error { background: #ffebee; border-bottom: 2px solid #e53935 !important; }
    #packageSendForm.load { opacity: 0.55; pointer-events: none; }
    .sentSuccess { transition: height 0.4s; height: 0; width: 100%; background: #e8f5e9; padding: 0 10px;
        text-align: center; color: #00897b; line-height: 30px; overflow: hidden; }
    .sentSuccess.in { height: 30px; }
</style>